org.apache.maven.scm.provider.bazaar

## Class BazaarConfig

- java.lang.Object
- - org.apache.maven.scm.provider.bazaar.BazaarConfig

    public class BazaarConfig
    extends Object

Check bazaar installation.

Author:
  Torbjorn Eikli Smorgrav

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.apache.maven.scm.provider.bazaar.BazaarConfig.VersionConsumer` `getBazaarVersion(File workingDir)`
`static org.apache.maven.scm.provider.bazaar.BazaarConfig.VersionConsumer` `getPythonVersion(File workingDir)`
`String` `toString(File workingDir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getBazaarVersion

    public static org.apache.maven.scm.provider.bazaar.BazaarConfig.VersionConsumer getBazaarVersion(File workingDir)
                                                                                              throws ScmException

Throws:
  `ScmException`

#### getPythonVersion

    public static org.apache.maven.scm.provider.bazaar.BazaarConfig.VersionConsumer getPythonVersion(File workingDir)
                                                                                              throws ScmException

Throws:
  `ScmException`

#### toString

    public String toString(File workingDir)